1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
      • Get Transaction
        GET
      • Get Support Crypto Currency List
        GET
      • Get Support Real Currency List
        GET
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Support Real Currency List
      • Get Support Crypto Currency List
      • Get Orders
      • Get Orders Details
      • Get Transaction
      • Get Orders Refund Info
      • Orders Refund
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Get Orders Refund Info

GET
/api/v2/order/refund-info/{order_id}

Get Order Refund Information#

This endpoint makes an HTTP GET request to /api/v2/order/refund-info/:order_id to retrieve the refund information of a specific order.

Request Body#

This request does not require a request body.

Response Body#

The response of this request is a JSON object representing the refund information of the order. The structure of the response is as follows:
{
    "code": "number",
    "message": "string",
    "data": {
        "order_id": "string",
        "chain": "string",
        "currency": "string",
        "amount": "number",
        "network_fee": "number",
        "obtained": "number",
        "from_addr": "string",
        "to_addr": "string",
        "refund_et": "number"
    },
    "result": "boolean"
}
code: The status code of the response.
message: Additional information related to the response.
data: An object containing the refund information with the following attributes:
order_id: The unique identifier of the order.
chain: The chain associated with the refund.
currency: The currency of the refund.
amount: The refunded amount.
network_fee: The network fee for the refund.
obtained: The obtained amount.
from_addr: The address from which the refund was initiated.
to_addr: The address to which the refund was sent.
refund_et: The timestamp for the refund.
result: A boolean indicating the result of the request.

Request

Authorization
API Key
Add parameter in header
API-Key
Example:
API-Key: ********************
or
Path Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/v2/order/refund-info/20240614061316661529' \
--header 'API-Key: <api-key>'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "order_id": "20240614061316661529",
        "chain": "TRX",
        "currency": "USDT-TRC20",
        "amount": 7.6883,
        "network_fee": 0.353,
        "obtained": 7.3353,
        "from_addr": "TMiJBaNdRVABNhZGwBx5vKWYCafCwGzuWn",
        "to_addr": "TFMsMzcQEmqEAxjaGnjQCE2TaeJYuHhCrF",
        "refund_et": 60
    },
    "result": true
}
Previous
Get Orders Details
Next
Orders Refund
Built with